Skip to content
Get startedWebsite

List account transactions

GET/api/v1/accounts/{account_id}/transactions

List account transactions

Path ParametersExpand Collapse
account_id: string
formatuuid
Query ParametersExpand Collapse
limit: optional number
formatint64
ReturnsExpand Collapse
id: string
formatuuid
account_id: string
formatuuid
amount: string
balance_after: string
created_at: string
formatdate-time
currency: string
status: "pending" or "completed" or "failed" or "cancelled"
One of the following:
"pending"
"completed"
"failed"
"cancelled"
transaction_type: "deposit" or "withdrawal" or "transfer" or 2 more
One of the following:
"deposit"
"withdrawal"
"transfer"
"recurring_payment"
"savings_withdraw"
updated_at: string
formatdate-time
description: optional string
external_recipient_id: optional string
recipient_account_id: optional string
formatuuid
reference_id: optional string
formatuuid

List account transactions

curl https://accounts-service-staging.up.railway.app/api/v1/accounts/$ACCOUNT_ID/transactions \
    -H "X-API-Key: $RAILS_API_KEY"
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "amount": "amount",
    "balance_after": "balance_after",
    "created_at": "2019-12-27T18:11:19.117Z",
    "currency": "currency",
    "status": "pending",
    "transaction_type": "deposit",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "external_recipient_id": "external_recipient_id",
    "recipient_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "reference_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
]
Returns Examples
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "amount": "amount",
    "balance_after": "balance_after",
    "created_at": "2019-12-27T18:11:19.117Z",
    "currency": "currency",
    "status": "pending",
    "transaction_type": "deposit",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "external_recipient_id": "external_recipient_id",
    "recipient_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "reference_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
]